package rallyedto.remarkedto.cooperationedto.agricultureedto

import android.content.Intent
import com.base.datarecovery.databinding.CenturyedtoBinding
import rallyedto.battleedto.acresedto.Dolledto
import rallyedto.finishedto.biggestedto.canedto.greenedto.Snailedto
import rallyedto.finishedto.conventionedto.Stooledto
import rallyedto.finishedto.exampleedto.Designedto
import rallyedto.finishedto.exampleedto.Thoseedto
import rallyedto.policeedto.huntedto.Snuggleedto
import rallyedto.sunedto.tumouredto.majorityedto.loseedto.Togetheredto


class Fogedto : Dolledto<CenturyedtoBinding>() {

    override val binding: CenturyedtoBinding by lazy {
        CenturyedtoBinding.inflate(layoutInflater)
    }


    override fun setView() {
        Togetheredto.showNativeAd(requireActivity(),binding.disappointedto)
    }

    override fun setListener() {
        binding.patientedto.setOnClickListener {
            startActivity(Intent(requireContext(), Snailedto::class.java).apply {
                putExtra("ScanType", Snuggleedto.SCAN_PHOTOS)
            })
        }
        binding.handyedto.setOnClickListener {
            startActivity(Intent(requireContext(), Snailedto::class.java).apply {
                putExtra("ScanType", Snuggleedto.SCAN_VIDEOS)
            })
        }
        binding.cityedto.setOnClickListener {
            startActivity(Intent(requireContext(), Snailedto::class.java).apply {
                putExtra("ScanType", Snuggleedto.SCAN_DOCUMENTS)
            })
        }
        binding.approveedto.setOnClickListener {
            startActivity(Intent(requireContext(), Snailedto::class.java).apply {
                putExtra("ScanType", Snuggleedto.SCAN_AUDIOS)
            })
        }
        binding.torchedto.setOnClickListener {
            if (Snuggleedto.privacyPinPassword.isNotEmpty()) {
                startActivity(Intent(requireContext(), Designedto::class.java))
            } else {
                startActivity(Intent(requireContext(), Thoseedto::class.java).apply {
                })
            }
        }
        binding.egoedto.setOnClickListener {
            startActivity(Intent(requireContext(), Stooledto::class.java))
        }

    }

    override fun onResume() {
        super.onResume()

    }

}